package com.mindtherobot.samples.firepaper;

import android.app.Activity;
import android.opengl.GLSurfaceView;
import android.os.Bundle;

public class FirePaperActivity extends Activity {
	
	private GLSurfaceView glView;
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
 
        glView = new GLSurfaceView(this);
        glView.setDebugFlags(GLSurfaceView.DEBUG_CHECK_GL_ERROR);
        glView.setRenderer(new FireRenderer());
        setContentView(glView);
    }

	@Override
	protected void onDestroy() {
		super.onDestroy();
	}

	@Override
	protected void onPause() {
		glView.onPause();
		super.onPause();
	}

	@Override
	protected void onResume() {
		super.onResume();
		glView.onResume();
	}
}