package com.mindtherobot.samples.firepaper;

import net.rbgrn.gl.GLWallpaperService;

public class FireWallpaperService extends GLWallpaperService {

	private FireRenderer renderer;
	
	@Override
	public Engine onCreateEngine() {
		renderer = new FireRenderer();
		return new GLEngine() {
			{
				setRenderer(renderer);
				setRenderMode(RENDERMODE_CONTINUOUSLY);
			}
		};
	}

	@Override
	public void onDestroy() {
		super.onDestroy();
	}
}
